Bug 199036 - When saving file in gtk2 program (like gedit, gimp), gtk2 program crashes.
When saving file in gtk2 program (like gedit, gimp), gtk2 program crashes.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-16 02:56 EDT by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.10.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-17 07:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2006-07-16 02:56:26 EDT
Description of problem:
$gdb gedit
(gdb) r
[...]
Gtk-ERROR **: file gtkfilechooserdefault.c: line 2164
(shortcuts_add_current_folder): assertion failed: (pos >= search_separator_pos + 1)
aborting...

Program received signal SIGABRT, Aborted.
[Switching to Thread -1208269120 (LWP 10444)]
---Type <return> to continue, or q <return> to quit---
0xb7fd7402 in __kernel_vsyscall ()
(gdb) bt
#0  0xb7fd7402 in __kernel_vsyscall ()
#1  0x07237c39 in raise () from /lib/libc.so.6
#2  0x07239241 in abort () from /lib/libc.so.6
#3  0x00693c42 in IA__g_lov (log_domain=<value optimized out>, 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x6be280 "file %s: line %d (%s): assertion failed: (%s)", 
    args1=0xbfac1f8c "�\036\034\001t\b") at gmessages.c:497
#4  0x00693c79 in IA__g_log (log_domain=0x11affa1 "Gtk", 
    log_level=G_LOG_LEVEL_ERROR, 
    format=0x6be280 "file %s: line %d (%s): assertion failed: (%s)")
    at gmessages.c:517
#5  0x00693cf6 in IA__g_assert_warning (log_domain=0x11affa1 "Gtk", 
    file=0x11c1ee2 "gtkfilechooserdefault.c", line=2164, 
    pretty_function=0x11c18cf "shortcuts_add_current_folder", 
    expression=0x11c2924 "pos >= search_separator_pos + 1") at gmessages.c:552
#6  0x00ffb254 in update_current_folder_get_info_cb (handle=0x9473fc0, 
    info=0x9412550, error=0x0, user_data=0x941bf38)
    at gtkfilechooserdefault.c:2125
#7  0x00b7b460 in fs_module_create ()
   from /usr/lib/gtk-2.0/2.10.0/filesystems/libgnome-vfs.so
#8  0x004d7fb8 in gnome_vfs_job_get_count () from /usr/lib/libgnomevfs-2.so.0
#9  0x00689591 in g_idle_dispatch (source=0xb5608580, callback=0x6, 
    user_data=0xb56076f0) at gmain.c:3924
---Type <return> to continue, or q <return> to quit---
#10 0x0068b2f2 in IA__g_main_context_dispatch (context=0x9140898)
    at gmain.c:2043
#11 0x0068e2cf in g_main_context_iterate (context=0x9140898, block=1, 
    dispatch=1, self=0x9122170) at gmain.c:2675
#12 0x0068e679 in IA__g_main_loop_run (loop=0x94427f0) at gmain.c:2879
#13 0x0105c0e4 in IA__gtk_main () at gtkmain.c:1000
#14 0x08070d96 in main ()



Version-Release number of selected component (if applicable):
2.10.0-2

How reproducible:
always

Steps to Reproduce:
1. run gedit
2. type on gedit
3. ctrl + s
  
Actual results:


Expected results:


Additional info:
glib2-2.12.0-1.1, pango-1.13.3-1.1, gedit-2.15.4-1

Note You need to log in before you can comment on or make changes to this bug.